Skip to main content
PATCH
/
settings
/
email-templates
/
{template_name}
Update email template
curl --request PATCH \
  --url https://api.wacht.dev/settings/email-templates/{template_name} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "template_name": "<string>",
  "template_data": "<string>",
  "template_from": "<string>",
  "template_reply_to": "<string>",
  "template_subject": "<string>"
}
'
{
  "template_name": "<string>",
  "template_data": "<string>",
  "template_from": "<string>",
  "template_reply_to": "<string>",
  "template_subject": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication (format: Bearer {api_key})

Path Parameters

template_name
string
required

Body

application/json
template_name
string
template_data
string

HTML body of the email template

template_from
string
template_reply_to
string
template_subject
string

Response

200 - application/json

Email template updated

template_name
string
template_data
string

HTML body of the email template

template_from
string
template_reply_to
string
template_subject
string